<template>
  <div>
    <el-dialog :title="title" :visible.sync="open" width="1000px" append-to-body>
      <el-form ref="form" :model="form" :rules="rules" label-width="120px">
        <el-row>
          <el-col :span="6"><el-form-item label=" 选项编号 " prop="optioncode">
              <el-input v-model="form.optioncode" placeholder="请输入 选项编号 " />
            </el-form-item></el-col><el-col :span="6"><el-form-item label=" 是否存在明细 " prop="isexistdetail">
              <el-input v-model="form.isexistdetail" placeholder="请输入 是否存在明细 " />
            </el-form-item></el-col>
          <el-col :span="6"><el-form-item label=" 明细是否必填 " prop="detailismandatory">
              <el-input v-model="form.detailismandatory" placeholder="请输入 明细是否必填 " />
            </el-form-item></el-col><el-col :span="6">
            <el-form-item label=" 分数 " prop="score">
              <el-input v-model="form.score" placeholder="请输入 分数 " />
            </el-form-item></el-col>
        </el-row>
        <el-row>
          <el-form-item label=" 选项内容 ">
            <el-input v-model="form.optioncontent" placeholder="请输入 选项内容 " />
          </el-form-item>
        </el-row>
        <el-row><el-form-item label=" 提示 " prop="prompt">
            <el-input v-model="form.prompt" placeholder="请输入 提示 " />
          </el-form-item></el-row>
        <el-row>
          <el-col :span="6"><el-form-item label=" 排序 " prop="sort">
              <el-input v-model="form.sort" placeholder="请输入 排序 " />
            </el-form-item></el-col>
          <el-col :span="6"><el-form-item label=" 是否异常项目 " prop="isexceptionitem">
              <el-input v-model="form.isexceptionitem" placeholder="请输入 是否异常项目 " />
            </el-form-item></el-col>
          <el-col :span="6"><el-form-item label=" 是否跟进 " prop="istrack">
              <el-input v-model="form.istrack" placeholder="请输入 是否跟进 " />
            </el-form-item></el-col> <el-col :span="6"><el-form-item label=" 是否互斥 " prop="ismutex">
              <el-input v-model="form.ismutex" placeholder="请输入 是否互斥 " />
            </el-form-item></el-col>
        </el-row>
        <el-row>
          <el-col :span="6"><el-form-item label=" 验证规则 " prop="verifyrule">
              <el-input v-model="form.verifyrule" placeholder="请输入 验证规则 " />
            </el-form-item></el-col>
          <el-col :span="6"><el-form-item label=" 是否限制范围 " prop="isrange">
              <el-input v-model="form.isrange" placeholder="请输入 是否限制范围 " />
            </el-form-item></el-col><el-col :span="6"><el-form-item label=" 最小范围 " prop="minrange">
              <el-input v-model="form.minrange" placeholder="请输入 最小范围 " />
            </el-form-item></el-col>
          <el-col :span="6"><el-form-item label=" 范围长度;用于小数保留位数 " prop="rangelength">
              <el-input v-model="form.rangelength" placeholder="请输入 范围长度;用于小数保留位数 " />
            </el-form-item></el-col>
        </el-row>
        <el-row>
          <el-form-item label=" 所属院区 " prop="orgid">
            <el-input v-model="form.orgid" placeholder="请输入 所属院区 " />
          </el-form-item>
        </el-row>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
  </div>
</template>
  
<script>
import { listSvytopicoption, getSvytopicoption, delSvytopicoption, addSvytopicoption, updateSvytopicoption } from "@/api/smartor/svytopicoption";

export default {
  name: "Svytopicoption",
  dicts: ['sys_yes_no'],
  data() {
    return {
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      // 表单参数
      form: {},
      // 表单校验
      rules: {
        delFlag: [
          { required: true, message: " 删除标记 不能为空", trigger: "change" }
        ],
        isupload: [
          { required: true, message: " 上传标记 不能为空", trigger: "change" }
        ],
      }
    };
  },
  created() {
  },
  methods: {
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        optionid: null,
        topicid: null,
        svyid: null,
        topictype: null,
        optioncode: null,
        optioncontent: null,
        isexistdetail: null,
        detailismandatory: null,
        isexceptionitem: null,
        istrack: null,
        score: null,
        prompt: null,
        jump: null,
        parentoptionid: null,
        ismutex: null,
        verifyrule: null,
        sort: null,
        verificationtype: null,
        isrange: null,
        minrange: null,
        maxrange: null,
        rangelength: null,
        orgid: null,
        oldid: null,
        delFlag: null,
        createBy: null,
        createTime: null,
        updateBy: null,
        updateTime: null,
        isupload: null,
        uploadTime: null
      };
      this.resetForm("form");
    },
    /** 修改按钮操作 */
    handleUpdate(id) {
      this.reset();
      this.open = true;
      if (id != null) {
        const optionid = id;
        getSvytopicoption(optionid).then(response => {
          this.form = response.data;
          this.title = "修改问卷问题选项";
        });
      } else {
        this.title = "新增问卷问题选项";
      }
    },
    handleUpdate2(id,topicId) {
      this.reset();
      this.open = true;
      if (id != null) {
        const optionid = id;
        getSvytopicoption(optionid).then(response => {
          this.form = response.data;
          this.form.topicid = topicId;
          this.title = "修改问卷问题选项";
        });
      }else
      {
        this.form.topicid = topicId;
        this.title = "新增问卷问题选项";
      }
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.optionid != null) {
            updateSvytopicoption(this.form).then(response => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
            });
          } else {
            addSvytopicoption(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
            });
          }
        }
      });
    },
  }
};
</script>
  